Skip to main content
PATCH
Edit a pending thread message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

threadId
string
required
inputId
string
required

Body

application/json
content
object[]
required

Ordered message content, bounded to 512 KiB of encoded JSON. At most 20 image blocks are permitted and image IDs must be unique within the message.

Required array length: 1 - 40 elements

Response

Updated pending message.

content
object[]
required

Ordered message content, bounded to 512 KiB of encoded JSON. At most 20 image blocks are permitted and image IDs must be unique within the message.

Required array length: 1 - 40 elements
id
string
required
queuedAt
string<date-time>
required
submitMode
enum<string>
required
Available options:
queue,
steer,
interrupt
turnId
string
required
principal
object